using System;
using System.Windows.Forms;

namespace ReportViewer.ParameterControls
{
    /// <summary>
    /// Parameter Control Text Box
    /// </summary>
    public class Text : UserControl, Code.IParam
    {

        #region Properties

        /// <summary>
        /// Load the object
        /// </summary>
        /// <param name="label">The Label to be displayed</param>
        /// <param name="name">Name of the Control</param>
        public Text(string label, string name)
        {
            InitializeComponent();

            lblTitle.Text = label;
            textBox1.Name = name;
        }

        /// <summary>
        /// Return the height of the ojbect
        /// </summary>
        /// <returns></returns>
        public int GetHeight()
        {
            return Height;
        }

        /// <summary>
        /// Return the width of the object
        /// </summary>
        /// <returns></returns>
        public int GetWidth()
        {
            return Width;
        }

        /// <summary>
        /// The default value of the text box
        /// </summary>
        public String DefaultValue
        {
            get { return textBox1.Text; }
            set { textBox1.Text = value; }
        }

        #endregion

        #region IParam Members

        /// <summary>
        /// Get the value of the User Control
        /// </summary>
        public string GetValue
        {
            get { return textBox1.Text; }
        }

        #endregion

        /// <summary> 
        /// Required designer variable.
        /// </summary>
        private readonly System.ComponentModel.IContainer components = null;

        /// <summary> 
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Component Designer generated code

        /// <summary> 
        /// Required method for Designer support - do not modify 
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            this.lblTitle = new System.Windows.Forms.Label();
            this.textBox1 = new System.Windows.Forms.TextBox();
            this.SuspendLayout();
            // 
            // lblTitle
            // 
            this.lblTitle.AutoSize = true;
            this.lblTitle.Location = new System.Drawing.Point(0, 10);
            this.lblTitle.Name = "lblTitle";
            this.lblTitle.Size = new System.Drawing.Size(77, 13);
            this.lblTitle.TabIndex = 0;
            this.lblTitle.Text = "Title goes here";
            // 
            // textBox1
            // 
            this.textBox1.Location = new System.Drawing.Point(0, 26);
            this.textBox1.Name = "textBox1";
            this.textBox1.Size = new System.Drawing.Size(183, 20);
            this.textBox1.TabIndex = 1;
            // 
            // Text
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.Controls.Add(this.textBox1);
            this.Controls.Add(this.lblTitle);
            this.Name = "Text";
            this.Size = new System.Drawing.Size(222, 57);
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        #endregion

        private Label lblTitle;
        private TextBox textBox1;

    }
}

